summaryrefslogtreecommitdiff
path: root/dev-lua
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-03 05:10:32 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-03 05:10:32 +0000
commit1ae9eacc7c38fc03d730023032625213e1d4fe09 (patch)
tree4676fcc654011ac5d39e23e1fd6f8ec725e459ac /dev-lua
parentd9b68d6748ac9b0debe3efceb600ae9302bafd56 (diff)
downloadbaldeagleos-repo-1ae9eacc7c38fc03d730023032625213e1d4fe09.tar.gz
baldeagleos-repo-1ae9eacc7c38fc03d730023032625213e1d4fe09.tar.xz
baldeagleos-repo-1ae9eacc7c38fc03d730023032625213e1d4fe09.zip
Updating liguros repo
Diffstat (limited to 'dev-lua')
-rw-r--r--dev-lua/lua-argparse/lua-argparse-0.6.0-r1.ebuild2
-rw-r--r--dev-lua/lua-utf8/lua-utf8-0.1.3.ebuild2
-rw-r--r--dev-lua/luaossl/Manifest5
-rw-r--r--dev-lua/luaossl/luaossl-20150727.ebuild43
-rw-r--r--dev-lua/luaossl/luaossl-20180708.ebuild40
-rw-r--r--dev-lua/luaossl/luaossl-20181207.ebuild40
-rw-r--r--dev-lua/luaossl/luaossl-20190731.ebuild40
-rw-r--r--dev-lua/luaossl/luaossl-20200709-r100.ebuild98
-rw-r--r--dev-lua/luaossl/luaossl-20200709.ebuild67
-rw-r--r--dev-lua/luaossl/metadata.xml4
-rw-r--r--dev-lua/luaposix/luaposix-35.0-r100.ebuild70
-rw-r--r--dev-lua/luaposix/luaposix-35.0.ebuild4
12 files changed, 244 insertions, 171 deletions
diff --git a/dev-lua/lua-argparse/lua-argparse-0.6.0-r1.ebuild b/dev-lua/lua-argparse/lua-argparse-0.6.0-r1.ebuild
index 3792ecb4606d..dda2cd4d4484 100644
--- a/dev-lua/lua-argparse/lua-argparse-0.6.0-r1.ebuild
+++ b/dev-lua/lua-argparse/lua-argparse-0.6.0-r1.ebuild
@@ -10,7 +10,7 @@ SRC_URI="https://github.com/mpeterv/argparse/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ppc ppc64 ~x86"
+KEYWORDS="~amd64 ~arm arm64 ppc ppc64 x86"
IUSE="doc luajit test"
RESTRICT="!test? ( test )"
diff --git a/dev-lua/lua-utf8/lua-utf8-0.1.3.ebuild b/dev-lua/lua-utf8/lua-utf8-0.1.3.ebuild
index 6ac8dd788d93..81d4d8cd8f55 100644
--- a/dev-lua/lua-utf8/lua-utf8-0.1.3.ebuild
+++ b/dev-lua/lua-utf8/lua-utf8-0.1.3.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/${PN//-/}-${PV}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ppc ppc64 ~x86"
+KEYWORDS="~amd64 ~arm arm64 ppc ppc64 x86"
IUSE="luajit test"
RESTRICT="!test? ( test )"
diff --git a/dev-lua/luaossl/Manifest b/dev-lua/luaossl/Manifest
index 9849ac7fb15a..db230bd70a4e 100644
--- a/dev-lua/luaossl/Manifest
+++ b/dev-lua/luaossl/Manifest
@@ -1,4 +1 @@
-DIST luaossl-20150727.tar.gz 355486 BLAKE2B 81907c3a3f565432eb2d2b17db48f381496837924ce999a58a4528a46b1b43fdd7b14041bab2a4536c89a37c6f31926f353d1bb1997e9ffd57ab6e2cfb83b6ef SHA512 de565ff7b9ac07493e771045b05902dd64e8b6c458180dd03d08cf900067d1b9cb88385c69dc29fb45774e4ec36b563cab705b34d37cec2f5cc792cf4f7b5049
-DIST luaossl-rel-20180708.tar.gz 455381 BLAKE2B d57e27638e6aee44a94f85094bab9161f0b87bdb379863fdef4517a1cb3415f4ef7e62967ee1e3fa2dde4d5629a24d732dc8ea0fd2ea54ccd84f69c4b18e2c57 SHA512 b2a73a7e7ace9a01c8c5a26603107f7741de88de32c393ed9134b70d55278c81d48e357955e671654825de282449b9570ecdc6a4fbcf4890439c0200ba471338
-DIST luaossl-rel-20181207.tar.gz 472294 BLAKE2B 1dd991cd73a432b7f8918d391bd3cbea98d77d4bd6390815840e3c7f63e98b9bcca6d9a4841da663ba7ecaa19880a4f3db4fce09d47d103cfd85f8d920efe84d SHA512 e5412c115d0dda3b3f2446ffd9a8d9b78be3800e834d7a43ec2cde16e56798fe2467d91add3ab8030321e6bf1a12349ecd5987dd88216ab0d7ba4ff451f0fb91
-DIST luaossl-rel-20190731.tar.gz 350324 BLAKE2B ff80f8ef69472eb0bb908d292f906d4d2be30b6350b04ecc4b4f6414aa6c6d44109a99187d6a89519d60b23ff9259bdda48bf0e51032785abee2002611037033 SHA512 09315deb0c40b59230d80262906cb9f067660242315544179ec5df57a028b088c56a4bb0b944e5975bccf86d521901eae36006c5623ec1159cfca94d05fb6890
+DIST luaossl-rel-20200709.tar.gz 352960 BLAKE2B f4cd53937d7a9c724ab9f2f6a13f1da8fa54216f01fe2af7e65cf7ebdad1f8740491ba1fc6bcc2bf4ac377bde0d2e370433e76a5105c6226e0d9745e12bec0ea SHA512 324175f65e9d292ecb1343cfa9e111f1fd17f15e67037bd705d3db95d32b859c039a6e70620d649f446a8e7043a125a75c64de1714f0fe18e077fb9c017bea34
diff --git a/dev-lua/luaossl/luaossl-20150727.ebuild b/dev-lua/luaossl/luaossl-20150727.ebuild
deleted file mode 100644
index b0a610625a0f..000000000000
--- a/dev-lua/luaossl/luaossl-20150727.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils toolchain-funcs
-
-DESCRIPTION="Most comprehensive OpenSSL module in the Lua universe."
-HOMEPAGE="https://github.com/wahern/luaossl"
-SRC_URI="https://github.com/wahern/luaossl/archive/rel-${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="luajit"
-
-RDEPEND="
- luajit? ( dev-lang/luajit:2 )
- !luajit? ( >=dev-lang/lua-5.1:0 )
- dev-libs/openssl:0[-bindist]
- !dev-lua/lua-openssl"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-
-S="${WORKDIR}/${PN}-rel-${PV}"
-
-src_prepare() {
- local version_var=
- local engine=
-
- use luajit && engine=luajit || engine=lua
- use luajit && version_var=abiver || version_var=V
-
- LUA_VERSION="$($(tc-getPKG_CONFIG) --variable=${version_var} ${engine})"
-}
-
-src_compile() {
- emake CC="$(tc-getCC)" prefix="${EPREFIX}/usr" openssl${LUA_VERSION}
-}
-
-src_install() {
- emake DESTDIR="${D}" prefix="${EPREFIX}/usr" install${LUA_VERSION}
-}
diff --git a/dev-lua/luaossl/luaossl-20180708.ebuild b/dev-lua/luaossl/luaossl-20180708.ebuild
deleted file mode 100644
index fd7565276080..000000000000
--- a/dev-lua/luaossl/luaossl-20180708.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit toolchain-funcs
-
-MY_P=${PN}-rel-${PV}
-DESCRIPTION="Most comprehensive OpenSSL module in the Lua universe."
-HOMEPAGE="https://github.com/wahern/luaossl"
-SRC_URI="https://github.com/wahern/luaossl/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="luajit"
-
-RDEPEND="
- luajit? ( dev-lang/luajit:2 )
- !luajit? ( >=dev-lang/lua-5.1:0 )
- dev-libs/openssl:0[-bindist]
- !dev-lua/lua-openssl"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-
-S="${WORKDIR}/${MY_P}"
-
-src_prepare() {
- default
-
- LUA_VERSION="$($(tc-getPKG_CONFIG) --variable=$(usex luajit abiver V) $(usex luajit luajit lua))"
-}
-
-src_compile() {
- emake CC="$(tc-getCC)" prefix="${EPREFIX}/usr" openssl${LUA_VERSION}
-}
-
-src_install() {
- emake DESTDIR="${D}" prefix="${EPREFIX}/usr" install${LUA_VERSION}
-}
diff --git a/dev-lua/luaossl/luaossl-20181207.ebuild b/dev-lua/luaossl/luaossl-20181207.ebuild
deleted file mode 100644
index 300a08cda740..000000000000
--- a/dev-lua/luaossl/luaossl-20181207.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit toolchain-funcs
-
-MY_P=${PN}-rel-${PV}
-DESCRIPTION="Most comprehensive OpenSSL module in the Lua universe."
-HOMEPAGE="https://github.com/wahern/luaossl"
-SRC_URI="https://github.com/wahern/luaossl/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="luajit"
-
-RDEPEND="
- luajit? ( dev-lang/luajit:2 )
- !luajit? ( >=dev-lang/lua-5.1:0 )
- dev-libs/openssl:0[-bindist]
- !dev-lua/lua-openssl"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-
-S="${WORKDIR}/${MY_P}"
-
-src_prepare() {
- default
-
- LUA_VERSION="$($(tc-getPKG_CONFIG) --variable=$(usex luajit abiver V) $(usex luajit luajit lua))"
-}
-
-src_compile() {
- emake CC="$(tc-getCC)" prefix="${EPREFIX}/usr" openssl${LUA_VERSION}
-}
-
-src_install() {
- emake DESTDIR="${D}" prefix="${EPREFIX}/usr" install${LUA_VERSION}
-}
diff --git a/dev-lua/luaossl/luaossl-20190731.ebuild b/dev-lua/luaossl/luaossl-20190731.ebuild
deleted file mode 100644
index 300a08cda740..000000000000
--- a/dev-lua/luaossl/luaossl-20190731.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit toolchain-funcs
-
-MY_P=${PN}-rel-${PV}
-DESCRIPTION="Most comprehensive OpenSSL module in the Lua universe."
-HOMEPAGE="https://github.com/wahern/luaossl"
-SRC_URI="https://github.com/wahern/luaossl/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="luajit"
-
-RDEPEND="
- luajit? ( dev-lang/luajit:2 )
- !luajit? ( >=dev-lang/lua-5.1:0 )
- dev-libs/openssl:0[-bindist]
- !dev-lua/lua-openssl"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-
-S="${WORKDIR}/${MY_P}"
-
-src_prepare() {
- default
-
- LUA_VERSION="$($(tc-getPKG_CONFIG) --variable=$(usex luajit abiver V) $(usex luajit luajit lua))"
-}
-
-src_compile() {
- emake CC="$(tc-getCC)" prefix="${EPREFIX}/usr" openssl${LUA_VERSION}
-}
-
-src_install() {
- emake DESTDIR="${D}" prefix="${EPREFIX}/usr" install${LUA_VERSION}
-}
diff --git a/dev-lua/luaossl/luaossl-20200709-r100.ebuild b/dev-lua/luaossl/luaossl-20200709-r100.ebuild
new file mode 100644
index 000000000000..414c31fe69cf
--- /dev/null
+++ b/dev-lua/luaossl/luaossl-20200709-r100.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} luajit )
+MY_P="${PN}-rel-${PV}"
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Most comprehensive OpenSSL module in the Lua universe"
+HOMEPAGE="https://github.com/wahern/luaossl"
+SRC_URI="https://github.com/wahern/${PN}/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="examples"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="
+ dev-libs/openssl:0[-bindist]
+ !dev-lua/luacrypto
+ !dev-lua/lua-openssl
+ !dev-lua/luasec
+ ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( "doc/." )
+
+src_prepare() {
+ default
+
+ # Remove Lua autodetection
+ # Respect users CFLAGS
+ sed -e '/LUAPATH :=/d' -e '/LUAPATH_FN =/d' -e '/HAVE_API_FN =/d' -e '/WITH_API_FN/d' -e 's/-O2//g' -i GNUmakefile || die
+
+ lua_copy_sources
+}
+
+lua_src_compile() {
+ pushd "${BUILD_DIR}" || die
+
+ if [[ ${ELUA} != luajit ]]; then
+ LUA_VERSION="$(ver_cut 1-2 $(lua_get_version))"
+ else
+ # This is a workaround for luajit, as it confirms to lua5.1
+ # and the 'GNUmakefile' doesn't understand LuaJITs version.
+ LUA_VERSION="5.1"
+ fi
+
+ local myemakeargs=(
+ "CC=$(tc-getCC)"
+ "ALL_CPPFLAGS=${CPPFLAGS} $(lua_get_CFLAGS)"
+ "libdir="
+ )
+
+ emake "${myemakeargs[@]}" openssl${LUA_VERSION}
+
+ popd
+}
+
+src_compile() {
+ lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+ pushd "${BUILD_DIR}" || die
+
+ if [[ ${ELUA} != luajit ]]; then
+ LUA_VERSION="$(ver_cut 1-2 $(lua_get_version))"
+ else
+ # This is a workaround for luajit, as it confirms to lua5.1
+ # and the 'GNUmakefile' doesn't understand LuaJITs version.
+ LUA_VERSION="5.1"
+ fi
+
+ local myemakeargs=(
+ "DESTDIR=${D}"
+ "lua${LUA_VERSION/./}cpath=$(lua_get_cmod_dir)"
+ "lua${LUA_VERSION/./}path=$(lua_get_lmod_dir)"
+ "prefix=${EPREFIX}/usr"
+ )
+
+ emake "${myemakeargs[@]}" install${LUA_VERSION}
+
+ popd
+}
+
+src_install() {
+ lua_foreach_impl lua_src_install
+
+ use examples && dodoc -r "examples/."
+ einstalldocs
+}
diff --git a/dev-lua/luaossl/luaossl-20200709.ebuild b/dev-lua/luaossl/luaossl-20200709.ebuild
new file mode 100644
index 000000000000..0de911787f22
--- /dev/null
+++ b/dev-lua/luaossl/luaossl-20200709.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${PN}-rel-${PV}"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Most comprehensive OpenSSL module in the Lua universe"
+HOMEPAGE="https://github.com/wahern/luaossl"
+SRC_URI="https://github.com/wahern/${PN}/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="examples luajit"
+
+RDEPEND="
+ dev-libs/openssl:0[-bindist]
+ !dev-lua/luacrypto
+ !dev-lua/lua-openssl
+ !dev-lua/luasec
+ luajit? ( dev-lang/luajit:2 )
+ !luajit? ( dev-lang/lua:0 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( "doc/." )
+
+src_prepare() {
+ default
+
+ # Remove Lua autodetection
+ # Respect users CFLAGS
+ sed -e '/LUAPATH :=/d' -e '/LUAPATH_FN =/d' -e '/HAVE_API_FN =/d' -e '/WITH_API_FN/d' -e 's/-O2//g' -i GNUmakefile || die
+
+ # Set LUA version
+ LUA_VERSION=$($(tc-getPKG_CONFIG) --variable=$(usex luajit abiver V) $(usex luajit luajit lua))
+}
+
+src_compile() {
+ local myemakeargs=(
+ "CC=$(tc-getCC)"
+ "ALL_CPPFLAGS=${CPPFLAGS} -I$($(tc-getPKG_CONFIG) --variable includedir $(usex luajit 'luajit' 'lua'))"
+ "libdir="
+ )
+
+ emake "${myemakeargs[@]}" openssl${LUA_VERSION}
+}
+
+src_install() {
+ local myemakeargs=(
+ "DESTDIR=${D}"
+ "lua${LUA_VERSION/./}cpath=$($(tc-getPKG_CONFIG) --variable INSTALL_CMOD $(usex luajit 'luajit' 'lua'))"
+ "lua${LUA_VERSION/./}path=$($(tc-getPKG_CONFIG) --variable INSTALL_LMOD $(usex luajit 'luajit' 'lua'))"
+ "prefix=${EPREFIX}/usr"
+ )
+
+ emake "${myemakeargs[@]}" install${LUA_VERSION}
+
+ use examples && dodoc -r "examples/."
+
+ einstalldocs
+}
diff --git a/dev-lua/luaossl/metadata.xml b/dev-lua/luaossl/metadata.xml
index 4849a9735010..952db5e5bdf4 100644
--- a/dev-lua/luaossl/metadata.xml
+++ b/dev-lua/luaossl/metadata.xml
@@ -9,6 +9,10 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
+ <maintainer type="person">
+ <email>conikost@gentoo.org</email>
+ <name>Conrad Kostecki</name>
+ </maintainer>
<upstream>
<remote-id type="github">wahern/luaossl</remote-id>
</upstream>
diff --git a/dev-lua/luaposix/luaposix-35.0-r100.ebuild b/dev-lua/luaposix/luaposix-35.0-r100.ebuild
new file mode 100644
index 000000000000..7881ac5e4801
--- /dev/null
+++ b/dev-lua/luaposix/luaposix-35.0-r100.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Bindings for POSIX APIs"
+HOMEPAGE="https://luaposix.github.io/luaposix/ https://github.com/luaposix/luaposix"
+SRC_URI="https://github.com/luaposix/luaposix/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+# Requires specl, which is not in the tree yet
+RESTRICT="test"
+
+DEPEND="${LUA_DEPS}"
+RDEPEND="${DEPEND}
+ lua_targets_lua5-1? ( dev-lua/lua-bit32[lua_targets_lua5-1(-)] )
+ lua_targets_luajit? ( dev-lua/lua-bit32[lua_targets_luajit(-)] )"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ # Temporary fix for respect LDFLAGS (#739050)
+ # Fixed in luke 0.2.1
+ sed -i -e "s:c_module,libdirs:c_module,'\$LDFLAGS',libdirs:g" \
+ build-aux/luke || die
+
+ lua_copy_sources
+}
+
+lua_src_compile() {
+ pushd "${BUILD_DIR}" || die
+
+ ./build-aux/luke package="${PN}" version="${PV}" \
+ PREFIX="${ED}/usr" \
+ INST_LIBDIR="${ED}/$(lua_get_cmod_dir)" \
+ INST_LUADIR="${ED}/$(lua_get_lmod_dir)" \
+ CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" CC="$(tc-getCC)" || die
+
+ popd
+}
+
+src_compile() {
+ lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+ pushd "${BUILD_DIR}" || die
+
+ ./build-aux/luke install \
+ PREFIX="${ED}/usr" \
+ INST_LIBDIR="${ED}/$(lua_get_cmod_dir)" \
+ INST_LUADIR="${ED}/$(lua_get_lmod_dir)" \
+ || die
+
+ popd
+}
+
+src_install() {
+ lua_foreach_impl lua_src_install
+ dodoc -r doc NEWS.md README.md
+}
diff --git a/dev-lua/luaposix/luaposix-35.0.ebuild b/dev-lua/luaposix/luaposix-35.0.ebuild
index 06ef159c1e90..efcbfd7161c0 100644
--- a/dev-lua/luaposix/luaposix-35.0.ebuild
+++ b/dev-lua/luaposix/luaposix-35.0.ebuild
@@ -12,9 +12,9 @@ SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-RDEPEND="dev-lang/lua:0=
+DEPEND="dev-lang/lua:0="
+RDEPEND="${DEPEND}
dev-lua/lua-bit32"
-DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
src_prepare() {